Bug 1296366 - Bash completion for more(1) handles file names with spaces incorrectly
Summary: Bash completion for more(1) handles file names with spaces incorrectly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: util-linux
Version: 7.2
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Karel Zak
QA Contact: Leos Pol
URL:
Whiteboard:
: 1352096 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-07 01:14 UTC by Frank Zdarsky
Modified: 2019-11-14 07:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 21:26:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2605 normal SHIPPED_LIVE Low: util-linux security, bug fix, and enhancement update 2016-11-03 12:13:26 UTC

Description Frank Zdarsky 2016-01-07 01:14:08 UTC
Description of problem:
When using bash completion for more(1) on a file whose name contains spaces, parts before and after the spaces are interpreted as different files.

Version-Release number of selected component (if applicable):
util-linux.x86_64                2.23.2-26.el7 

How reproducible:
always

Steps to Reproduce:
1. in an empty directory type
$ touch foo\ bar
$ more foo<tab>

Actual results:
Bash completion offers the choice between two files:
$ more foo<tab>
bar  foo

Expected results:
The command line is completed to:
$ more foo\ bar

Comment 3 Mike McCune 2016-03-28 22:54:17 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 6 Karel Zak 2016-07-07 10:30:18 UTC
*** Bug 1352096 has been marked as a duplicate of this bug. ***

Comment 7 Leos Pol 2016-09-27 07:03:23 UTC
# rpm -q util-linux
util-linux-2.23.2-26.el7.x86_64
# touch foo\ bar
# more f
bar  foo  

# rpm -q util-linux
util-linux-2.23.2-33.el7.x86_64
# more foo\ bar

Comment 9 errata-xmlrpc 2016-11-03 21:26:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2605.html


Note You need to log in before you can comment on or make changes to this bug.